Bug 830354 - Add user post callback hook to winsync plugin API
Summary: Add user post callback hook to winsync plugin API
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-08 21:51 UTC by Nathan Kinder
Modified: 2020-09-13 20:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-19 18:02:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 316 0 None None None 2020-09-13 20:07:42 UTC

Description Nathan Kinder 2012-06-08 21:51:01 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/316

FreeIPA project has a request to enroll users from AD added via winsync replication to default FreeIPA users group (https://fedorahosted.org/freeipa/ticket/2324). In order to do that, we need to enroll the new user in a post callback after it is added to our directory.

389 winsync plugin does have a precallback hook for adding a user from AD (ipa_winsync_pre_ds_add_user_cb) but it does not provide a postcallback hook when the user is added. We would like to request adding this hook to 389 winsync plugin so that we can use it to enroll new users default group.


Note You need to log in before you can comment on or make changes to this bug.